DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SiMAC Class Referenceabstract

a base class for all classes that implement hash functions. More...

Inheritance diagram for SiMAC:

## Public Member Functions
| SiMAC ()
| default constructor
virtual | ~SiMAC ()
| destructor
virtual OFCondition | initialize ()=0
| initializes the MAC algorithm.
virtual OFCondition | digest (const unsigned char *data, unsigned long length)=0
| feeds data into the MAC algorithm
virtual OFCondition | finalize (unsigned char *result)=0
| finalizes the MAC and writes it to the given output array, which must be at least getSize() bytes large.
virtual unsigned long | getSize () const =0
| returns the size of a MAC in bytes.
virtual E_MACType | macType () const =0
| returns the type of MAC algorithm computed by this object
virtual const char * | getDefinedTerm () const =0
| returns the DICOM identifier for this MAC algorithm

## Detailed Description

a base class for all classes that implement hash functions.

Remarks
  this class is only available if DCMTK is compiled with OpenSSL support enabled.

## Member Function Documentation

## ◆ digest()

virtual OFCondition SiMAC::digest | ( | const unsigned char * | data,
|  | unsigned long | length )
| pure virtual

feeds data into the MAC algorithm

Parameters

  data | pointer to raw data to be fed into the MAC, must not be NULL
  length | number of bytes in raw data array

Returns
  status code

Implemented in SiMDMAC.

## ◆ finalize()

virtual OFCondition SiMAC::finalize | ( | unsigned char * | result | ) |
| pure virtual

finalizes the MAC and writes it to the given output array, which must be at least getSize() bytes large.

After a call to finalize, the MAC algorithm must be initialized again, see initialize().

Parameters

  result | pointer to array of getSize() bytes into which the MAC is written

Returns
  status code

Implemented in SiMDMAC.

## ◆ getDefinedTerm()

virtual const char * SiMAC::getDefinedTerm | ( |  | ) | const
| pure virtual

returns the DICOM identifier for this MAC algorithm

Returns
  DICOM defined term for algorithm

Implemented in SiMDMAC.

## ◆ getSize()

virtual unsigned long SiMAC::getSize | ( |  | ) | const
| pure virtual

returns the size of a MAC in bytes.

Returns
  block size for this MAC algorithm

Implemented in SiMDMAC.

## ◆ initialize()

virtual OFCondition SiMAC::initialize | ( |  | ) |
| pure virtual

initializes the MAC algorithm.

Returns
  status code

Implemented in SiMDMAC.

## ◆ macType()

virtual E_MACType SiMAC::macType | ( |  | ) | const
| pure virtual

returns the type of MAC algorithm computed by this object

Returns
  type of MAC algorithm

Implemented in SiMDMAC.

The documentation for this class was generated from the following file:

- dcmsign/include/dcmtk/dcmsign/simac.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2